Loading...
Searching...
No Matches
XrdSecProtect.hh File Reference
`#include "XProtocol/XProtocol.hh"`
Include dependency graph for XrdSecProtect.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdSecProtect

## Macros

#define | NEED2SECURE(protP)
| This class implements the XRootD protocol security protection.

## Macro Definition Documentation

## NEED2SECURE

#define NEED2SECURE | ( |  | protP | ) |

Value:
protP && ((*protP).*(protP->Need2Secure))

This class implements the XRootD protocol security protection.

Provide a replacement for the std::invoke() function available in C++17 to invoke the Need2Secure member function without a vtable lookup. The calling convention is: if (NEED2SECURE(<propP>))(<reqR>) and where: <protP> is a pointer to the relevant XrdSecProtect object (may be nil). <reqR> is a reference to the ClientRequest object to be inspected.

Definition at line 45 of file XrdSecProtect.hh.

Referenced by XrdCl::XRootDTransport::GetSignature(), and XrdXrootdProtocol::Process().